Package Gnumed :: Package timelinelib :: Package general :: Module immutable :: Class ImmutableDict |
[frames] | no frames]

# Class ImmutableDict

source code

    object --+
             |
         tuple --+
                 |
                ImmutableDict

Known Subclasses:
  - ImmutableRecord

Instance Methods
update(self, *args, **kwargs) | source code
remove(self, key) | source code
map(self, fn) | source code
get(self, name, default=None) | source code
__len__(self) len(x) | source code
__contains__(self, item) y in x | source code
__getitem__(self, name) x[y] | source code
__iter__(self) iter(x) | source code
__eq__(self, other) x==y | source code
__ne__(self, other) x!=y | source code
__repr__(self) repr(x) | source code
Inherited from `tuple`: `__add__`, `__ge__`, `__getattribute__`, `__getnewargs__`, `__getslice__`, `__gt__`, `__hash__`, `__le__`, `__lt__`, `__mul__`, `__rmul__`, `count`, `index` Inherited from `object`: `__delattr__`, `__format__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
a new object with type S, a subtype of T |
__new__(cls, *args, **kwargs) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __new__(cls, *args, **kwargs) Static Method | source code
Returns: a new object with type S, a subtype of T Overrides: object.__new__ (inherited documentation)

### __len__(self) (Length operator) | source code
len(x) Overrides: tuple.__len__ (inherited documentation)

### __contains__(self, item) (In operator) | source code
y in x Overrides: tuple.__contains__ (inherited documentation)

### __getitem__(self, name) (Indexing operator) | source code
x[y] Overrides: tuple.__getitem__ (inherited documentation)

### __iter__(self) | source code
iter(x) Overrides: tuple.__iter__ (inherited documentation)

### __eq__(self, other) (Equality operator) | source code
x==y Overrides: tuple.__eq__ (inherited documentation)

### __ne__(self, other) | source code
x!=y Overrides: tuple.__ne__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)